IF OBJECT_ID('dbo.sp_fco_upd_tc_salud') IS NOT NULL
    DROP PROCEDURE dbo.sp_fco_upd_tc_salud
GO
CREATE PROCEDURE dbo.sp_fco_upd_tc_salud
(  
    @pch_compania char(4),  
    @psi_anio smallint,  
    @pti_mes tinyint,  
    @pvc_sucursal varchar(10),  
    @pch_tipo_planilla char(1),
    @pch_cod_EPS char(10),  
    @pvc_nro_aut_IGE varchar(15),  
    @pdc_vlr_aut_IGE decimal(9),  
    @pvc_nro_aut_LMA varchar(15),  
    @pdc_vlr_aut_LMA decimal(9),  
    @pvc_nro_radicacion varchar(10),  
    @pdc_sf_aportes decimal(9),  
    @pdc_sf_UPC decimal(9)  
)  
AS  
BEGIN  
    UPDATE fco_integrada_rt04  
    SET nro_aut_IGE = IsNull(@pvc_nro_aut_IGE, ''),  
        suma_aut_IGE = IsNull(@pdc_vlr_aut_IGE, 0),  
        nro_aut_LMA = IsNull(@pvc_nro_aut_LMA, ''),  
        suma_aut_LMA = IsNull(@pdc_vlr_aut_LMA, 0),   
        nro_radicacion = IsNull(@pvc_nro_radicacion, ''),  
        saldo_favor_aportes = IsNull(@pdc_sf_aportes, 0),  
        saldo_favor_UPC = IsNull(@pdc_sf_UPC, 0),
        origen = 1
    WHERE compania = @pch_compania  
      AND anio = @psi_anio  
      AND mes = @pti_mes  
      AND sucursal = IsNull(@pvc_sucursal, '')  
      AND tipo_planilla = @pch_tipo_planilla
      AND cod_EPS =@pch_cod_EPS  
END  
GO
GRANT EXECUTE ON dbo.sp_fco_upd_tc_salud TO PUBLIC
GO
